Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.
Represents the overall status of a payment intent.
The status transitions through various states depending on the payment method, confirmation, capture method, and any subsequent actions (like customer authentication or manual capture).
additional data that might be required by hyperswitch
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/payments/payments--update-metadata","slug":"/v1/payments/payments--update-metadata","pageMetadata":{"openapi":"post /payments/{payment_id}/update_metadata","description":"","href":"/v1/payments/payments--update-metadata","title":"Payments - Update Metadata"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /payments/{payment_id}/update_metadata","description":"","href":"/v1/payments/payments--update-metadata","title":"Payments - Update Metadata"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Payments"],"summary":"Payments - Update Metadata","operationId":"Update Metadata for a Payment","parameters":["16926a71-36c5-4640-983b-cd9c3c2d7d48","7cd8cc6d-f639-47fa-805b-0eeb60d1de3b"],"requestBody":"d570b9ea-02d5-4e30-833a-a474a717f904","responses":{"200":"1bf0c719-a6c3-43e6-a004-ef475c8c2262","400":"2cd0469f-4b0c-4934-9296-87c8eadf1812"},"security":["5e45c8fb-fee3-41c0-8abc-a907e09e14ea"],"method":"post","type":"path","servers":["0778c9b5-e21c-4cbe-a5ea-48d4bfb2a060"],"path":"/payments/{payment_id}/update_metadata","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Payments - Update Metadata","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"16926a71-36c5-4640-983b-cd9c3c2d7d48":{"name":"payment_id","in":"path","description":"The identifier for payment","required":true,"schema":{"type":"string","isRequired":true,"description":"The identifier for payment","uniqueKey":"","typeLabel":"string"}},"7cd8cc6d-f639-47fa-805b-0eeb60d1de3b":{"name":"X-Connected-Merchant-Id","in":"header","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","required":false,"schema":{"oneOf":[{"type":"string","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"example":"merchant_abc"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["metadata"],"properties":{"metadata":{"type":"object","description":"Metadata is useful for storing additional, unstructured information on an object.","isRequired":true,"uniqueKey":"metadata","typeLabel":"object"},"feature_metadata":{"oneOf":[{"type":"object","description":"additional data that might be required by hyperswitch","properties":{"redirect_response":{"oneOf":[{"type":"object","properties":{"param":{"oneOf":[{"type":"string","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.param.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.param","typeLabel":"string | null"},"json_payload":{"oneOf":[{"type":"object","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.json_payload.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.json_payload.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.json_payload","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.redirect_response","typeLabel":"object | null"},"search_tags":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"feature_metadata.oneOf.0.search_tags.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Additional tags to be used for global search","uniqueKey":"feature_metadata.oneOf.0.search_tags.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Additional tags to be used for global search","uniqueKey":"feature_metadata.oneOf.0.search_tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.search_tags","typeLabel":"string[] | null"},"apple_pay_recurring_details":{"oneOf":[{"type":"object","required":["payment_description","regular_billing","management_url"],"properties":{"payment_description":{"type":"string","description":"A description of the recurring payment that Apple Pay displays to the user in the payment sheet","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.payment_description","typeLabel":"string"},"regular_billing":{"type":"object","required":["label"],"properties":{"label":{"type":"string","description":"The label that Apple Pay displays to the user in the payment sheet with the recurring details","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.label","typeLabel":"string"},"recurring_payment_start_date":{"oneOf":[{"type":"string","format":"date-time","description":"The date of the first payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_start_date.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The date of the first payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_start_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_start_date","typeLabel":"string\u003cdate-time> | null"},"recurring_payment_end_date":{"oneOf":[{"type":"string","format":"date-time","description":"The date of the final payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_end_date.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The date of the final payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_end_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_end_date","typeLabel":"string\u003cdate-time> | null"},"recurring_payment_interval_unit":{"oneOf":[{"type":"string","enum":["year","month","day","hour","minute"],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_unit.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_unit.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_unit","typeLabel":"enum\u003cstring> | null"},"recurring_payment_interval_count":{"oneOf":[{"type":"integer","format":"int32","description":"The number of interval units that make up the total payment interval","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_count.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"The number of interval units that make up the total payment interval","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_count","typeLabel":"integer\u003cint32> | null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing","typeLabel":"object"},"management_url":{"type":"string","description":"A URL to a web page where the user can update or delete the payment method for the recurring payment","example":"https://hyperswitch.io","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.management_url","typeLabel":"string"},"billing_agreement":{"oneOf":[{"type":"string","description":"A localized billing agreement that the payment sheet displays to the user before the user authorizes the payment","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.billing_agreement.oneOf.0","typeLabel":"string"},{"type":"null","description":"A localized billing agreement that the payment sheet displays to the user before the user authorizes the payment","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.billing_agreement.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.billing_agreement","typeLabel":"string | null"}},"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details","typeLabel":"object | null"},"pix_additional_details":{"oneOf":[{"type":"object","required":["immediate"],"properties":{"immediate":{"type":"object","required":["time"],"properties":{"time":{"type":"integer","format":"int32","description":"Expiration time in seconds","minimum":0,"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.time","typeLabel":"integer\u003cint32>"},"pix_key":{"oneOf":[{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cpf"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cnpj"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.1.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["email"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.2.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["phone"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.3.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["evp_token"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.4.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.4","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.5","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key","typeLabel":"object · object · object · object · object · null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate","typeLabel":"object"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0","typeLabel":"object"},{"type":"object","required":["scheduled"],"properties":{"scheduled":{"type":"object","required":["date"],"properties":{"date":{"type":"string","description":"Expiration time in terms of date, format: YYYY-MM-DD","example":"2026-07-08","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.date","typeLabel":"string"},"validity_after_expiration":{"oneOf":[{"type":"integer","format":"int32","description":"Days after expiration date for which the QR code remains valid","example":10,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.validity_after_expiration.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Days after expiration date for which the QR code remains valid","example":10,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.validity_after_expiration.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.validity_after_expiration","typeLabel":"integer\u003cint32> | null"},"pix_key":{"oneOf":[{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cpf"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cnpj"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.1.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["email"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.2.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["phone"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.3.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["evp_token"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.4.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.4","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.5","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key","typeLabel":"object · object · object · object · object · null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled","typeLabel":"object"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.2","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details","typeLabel":"object · object · null"},"boleto_additional_details":{"oneOf":[{"type":"object","properties":{"due_date":{"oneOf":[{"type":"string","description":"Due Date for the Boleto","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.due_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"Due Date for the Boleto","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.due_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.due_date","typeLabel":"string | null"},"document_kind":{"oneOf":[{"type":"string","enum":["commercial_invoice","service_invoice","promissory_note","rural_promissory_note","receipt","insurance_policy","credit_card_invoice","proposal","deposit_or_funding","cheque","direct_promissory_note","other"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.document_kind.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.document_kind.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.document_kind","typeLabel":"enum\u003cstring> | null"},"payment_type":{"oneOf":[{"type":"string","enum":["fixed_amount","flexible_amount","installment"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_type","typeLabel":"enum\u003cstring> | null"},"covenant_code":{"oneOf":[{"type":"string","example":"3568253","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.covenant_code.oneOf.0","typeLabel":"string"},{"type":"null","example":"3568253","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.covenant_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.covenant_code","typeLabel":"string | null"},"pix_key":{"oneOf":[{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cpf"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cnpj"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.1.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["email"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.2.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["phone"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.3.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["evp_token"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.4.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.4","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.5","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key","typeLabel":"object · object · object · object · object · null"},"discount_rules":{"oneOf":[{"type":"object","description":"Defines the type of discount applied to a payment, such as whether it's a fixed date discount, a daily calendar discount, or a daily business discount.","required":["tiers"],"properties":{"tiers":{"type":"array","items":{"type":"object","properties":{"amount":{"oneOf":[{"type":"string","description":"The discount value (e.g., \"5.50\").","example":"5.50","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The discount value (e.g., \"5.50\").","example":"5.50","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].amount","typeLabel":"string | null"},"end_date":{"oneOf":[{"type":"string","description":"The ISO-8601 date until which this discount is valid","example":"2027-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].end_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"The ISO-8601 date until which this discount is valid","example":"2027-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].end_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].end_date","typeLabel":"string | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX]","typeLabel":"object"},"description":"A generic vector of discount tiers","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers","typeLabel":"object[]"},"discount_type":{"oneOf":[{"type":"string","description":"Defines the type of discount applied to a payment, such as whether it's a fixed date discount, a daily calendar discount, or a daily business discount.","enum":["standard","fixed_date","daily_calendar","daily_business"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.discount_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.discount_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.discount_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules","typeLabel":"object | null"},"penalties":{"oneOf":[{"type":"object","description":"Represents the rules for applying discounts to a payment, such as a percentage discount or a fixed amount discount, along with any applicable grace periods.","properties":{"fixed_penalty":{"oneOf":[{"type":"object","description":"Represents the rules for applying discounts to a payment, such as a percentage discount or a fixed amount discount, along with any applicable grace periods.","properties":{"value":{"oneOf":[{"type":"string","description":"The numeric value (as a string to preserve decimal precision)","example":"2.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The numeric value (as a string to preserve decimal precision)","example":"2.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.value.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.value","typeLabel":"string | null"},"grace_period_days":{"oneOf":[{"type":"integer","format":"int32","description":"Grace period: Days after due date before this applies","example":1,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.grace_period_days.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Grace period: Days after due date before this applies","example":1,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.grace_period_days.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.grace_period_days","typeLabel":"integer\u003cint32> | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty","typeLabel":"object | null"},"interest":{"oneOf":[{"type":"object","description":"Represents the rules for applying discounts to a payment, such as a percentage discount or a fixed amount discount, along with any applicable grace periods.","properties":{"interest_percentage":{"oneOf":[{"type":"string","description":"Percentage of Juros (Interest). Pattern: ^[0-9]{1,3}\\.[0-9]{2}$","example":"5.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.interest_percentage.oneOf.0","typeLabel":"string"},{"type":"null","description":"Percentage of Juros (Interest). Pattern: ^[0-9]{1,3}\\.[0-9]{2}$","example":"5.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.interest_percentage.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.interest_percentage","typeLabel":"string | null"},"iof_percentage":{"oneOf":[{"type":"string","description":"Percentage of IOF (Financial Operations Tax). Pattern: \\d{3}$\\.\\d{5}\nOnly provided if the agreement is \"Cobra IOF na Barra ou Cadastro\"","example":"32.45325","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.iof_percentage.oneOf.0","typeLabel":"string"},{"type":"null","description":"Percentage of IOF (Financial Operations Tax). Pattern: \\d{3}$\\.\\d{5}\nOnly provided if the agreement is \"Cobra IOF na Barra ou Cadastro\"","example":"32.45325","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.iof_percentage.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.iof_percentage","typeLabel":"string | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties","typeLabel":"object | null"},"collection_actions":{"oneOf":[{"type":"object","description":"Represents the legal or administrative actions that may be taken for non-payment, such as protest rules and automatic write-off timelines.","properties":{"legal_protest":{"oneOf":[{"type":"object","required":["protest_type","days_after_due_date"],"properties":{"protest_type":{"type":"string","description":"Defines the type of protest for non-payment, such as whether the count is based on calendar days, business days, or if the protest logic is determined by a pre-signed contract with the bank.","enum":["disabled","calendar_days","business_days","contract_default"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.0.protest_type","typeLabel":"enum\u003cstring>"},"days_after_due_date":{"type":"integer","format":"int32","description":"Number of days after the due date to initiate the protest","example":30,"minimum":0,"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.0.days_after_due_date","typeLabel":"integer\u003cint32>"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest","typeLabel":"object | null"},"auto_write_off_days":{"oneOf":[{"type":"integer","format":"int32","description":"Days after which the bill is automatically cancelled/written off","example":60,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.auto_write_off_days.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Days after which the bill is automatically cancelled/written off","example":60,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.auto_write_off_days.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.auto_write_off_days","typeLabel":"integer\u003cint32> | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions","typeLabel":"object | null"},"payment_constraints":{"oneOf":[{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","required":["type"],"properties":{"type":{"type":"string","enum":["fixed_amount"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.0","typeLabel":"object"},{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","required":["type","details"],"properties":{"type":{"type":"string","enum":["flexible_amount"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.type","typeLabel":"enum\u003cstring>"},"details":{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","properties":{"min_value":{"oneOf":[{"type":"string","description":"Minimum value allowed (e.g., \"10.00\")","example":"38.02","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.min_value.oneOf.0","typeLabel":"string"},{"type":"null","description":"Minimum value allowed (e.g., \"10.00\")","example":"38.02","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.min_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.min_value","typeLabel":"string | null"},"max_value":{"oneOf":[{"type":"string","description":"Maximum value allowed (e.g., \"5000.00\")","example":"38.02","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.max_value.oneOf.0","typeLabel":"string"},{"type":"null","description":"Maximum value allowed (e.g., \"5000.00\")","example":"38.02","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.max_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.max_value","typeLabel":"string | null"},"value_type":{"oneOf":[{"type":"string","description":"Defines how the payment amount is calculated for penalties or discounts, either as a percentage or as a flat amount.","enum":["percentage","flat_amount"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.value_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.value_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.value_type","typeLabel":"enum\u003cstring> | null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details","typeLabel":"object"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1","typeLabel":"object"},{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","required":["type","details"],"properties":{"type":{"type":"string","enum":["installment"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.type","typeLabel":"enum\u003cstring>"},"details":{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","properties":{"max_partial_payments":{"oneOf":[{"type":"integer","format":"int32","description":"Maximum number of partial payments allowed (Up to 99 for Santander).","example":99,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.details.max_partial_payments.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Maximum number of partial payments allowed (Up to 99 for Santander).","example":99,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.details.max_partial_payments.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.details.max_partial_payments","typeLabel":"integer\u003cint32> | null"},"value_type":{"oneOf":[{"type":"string","description":"Defines how the payment amount is calculated for penalties or discounts, either as a percentage or as a flat amount.","enum":["percentage","flat_amount"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.details.value_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.details.value_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.details.value_type","typeLabel":"enum\u003cstring> | null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2.details","typeLabel":"object"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.2","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.3","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints","typeLabel":"object · object · object · null"},"beneficiary":{"oneOf":[{"type":"object","description":"Represents the end-recipient of a payout or fund transfer.","properties":{"name":{"oneOf":[{"type":"string","description":"The full legal name of the individual or entity receiving the funds.","example":"João da Silva","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The full legal name of the individual or entity receiving the funds.","example":"João da Silva","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.name","typeLabel":"string | null"},"document_number":{"oneOf":[{"type":"string","description":"The customer's unique identification number (e.g., Tax ID, SSN, Passport Number).\nUsed by processors to verify the identity of the recipient and prevent fraud.\nLength of the document number depends upon the document_type.\nFor CPF/CNPJ it is typically 11/14 digits long.","example":"9615865832","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.document_number.oneOf.0","typeLabel":"string"},{"type":"null","description":"The customer's unique identification number (e.g., Tax ID, SSN, Passport Number).\nUsed by processors to verify the identity of the recipient and prevent fraud.\nLength of the document number depends upon the document_type.\nFor CPF/CNPJ it is typically 11/14 digits long.","example":"9615865832","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.document_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.document_number","typeLabel":"string | null"},"document_type":{"oneOf":[{"type":"string","description":"Represents the type of identification document used for validation.","enum":["cpf","cnpj","psn","other"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.document_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.document_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0.document_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.beneficiary","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details","typeLabel":"object | null"},"pix_automatico_additional_details":{"oneOf":[{"type":"object","description":"Represents the specific data for Santander Pix Automatico (recurring PIX payments)\nSplit into CIT (Customer Initiated Transaction) and MIT (Merchant Initiated Transaction) variants","required":["type","time"],"properties":{"time":{"type":"integer","format":"int32","description":"Time in seconds until which the push notification is valid","example":3600,"minimum":0,"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.time","typeLabel":"integer\u003cint32>"},"type":{"type":"string","enum":["pix_automatico_push"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.type","typeLabel":"enum\u003cstring>"},"retry_policy":{"oneOf":[{"type":"boolean","description":"Enable retry policy for failed payments (maps to PERMITE_3R_7D if true)","example":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.retry_policy.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Enable retry policy for failed payments (maps to PERMITE_3R_7D if true)","example":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.retry_policy.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.retry_policy","typeLabel":"boolean | null"},"mandate_details":{"oneOf":[{"type":"object","properties":{"fixed_recurring_amount":{"oneOf":[{"type":"integer","format":"int64","description":"Fixed amount for each recurring charge in minor units (e.g., cents). If not provided, the mandate will allow variable amounts.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.fixed_recurring_amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Fixed amount for each recurring charge in minor units (e.g., cents). If not provided, the mandate will allow variable amounts.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.fixed_recurring_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.fixed_recurring_amount","typeLabel":"integer\u003cint64> | null"},"min_recurring_amount":{"oneOf":[{"type":"integer","format":"int64","description":"Minimum amount for each recurring charge in minor units (e.g., cents). If not provided, there will be no minimum limit on the amount.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.min_recurring_amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Minimum amount for each recurring charge in minor units (e.g., cents). If not provided, there will be no minimum limit on the amount.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.min_recurring_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.min_recurring_amount","typeLabel":"integer\u003cint64> | null"},"start_date":{"oneOf":[{"type":"string","description":"Start date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid immediately.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.start_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"Start date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid immediately.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.start_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.start_date","typeLabel":"string | null"},"end_date":{"oneOf":[{"type":"string","description":"End date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid indefinitely.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.end_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"End date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid indefinitely.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.end_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.end_date","typeLabel":"string | null"},"periodicity":{"oneOf":[{"type":"string","enum":["weekly","monthly","quarterly","semiannually","annually"],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.periodicity.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.periodicity.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0.periodicity","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0.mandate_details","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.0","typeLabel":"object"},{"type":"object","description":"Represents the specific data for Santander Pix Automatico (recurring PIX payments)\nSplit into CIT (Customer Initiated Transaction) and MIT (Merchant Initiated Transaction) variants","required":["type"],"properties":{"type":{"type":"string","enum":["pix_automatico_qr"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.type","typeLabel":"enum\u003cstring>"},"retry_policy":{"oneOf":[{"type":"boolean","description":"Enable retry policy for failed payments (maps to PERMITE_3R_7D if true)","example":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.retry_policy.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Enable retry policy for failed payments (maps to PERMITE_3R_7D if true)","example":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.retry_policy.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.retry_policy","typeLabel":"boolean | null"},"mandate_details":{"oneOf":[{"type":"object","properties":{"fixed_recurring_amount":{"oneOf":[{"type":"integer","format":"int64","description":"Fixed amount for each recurring charge in minor units (e.g., cents). If not provided, the mandate will allow variable amounts.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.fixed_recurring_amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Fixed amount for each recurring charge in minor units (e.g., cents). If not provided, the mandate will allow variable amounts.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.fixed_recurring_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.fixed_recurring_amount","typeLabel":"integer\u003cint64> | null"},"min_recurring_amount":{"oneOf":[{"type":"integer","format":"int64","description":"Minimum amount for each recurring charge in minor units (e.g., cents). If not provided, there will be no minimum limit on the amount.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.min_recurring_amount.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","description":"Minimum amount for each recurring charge in minor units (e.g., cents). If not provided, there will be no minimum limit on the amount.","example":6540,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.min_recurring_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.min_recurring_amount","typeLabel":"integer\u003cint64> | null"},"start_date":{"oneOf":[{"type":"string","description":"Start date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid immediately.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.start_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"Start date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid immediately.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.start_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.start_date","typeLabel":"string | null"},"end_date":{"oneOf":[{"type":"string","description":"End date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid indefinitely.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.end_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"End date for the recurring charges. Format: YYYY-MM-DD. If not provided, the mandate will be valid indefinitely.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.end_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.end_date","typeLabel":"string | null"},"periodicity":{"oneOf":[{"type":"string","enum":["weekly","monthly","quarterly","semiannually","annually"],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.periodicity.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.periodicity.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0.periodicity","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1.mandate_details","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.1","typeLabel":"object"},{"type":"object","description":"Represents the specific data for Santander Pix Automatico (recurring PIX payments)\nSplit into CIT (Customer Initiated Transaction) and MIT (Merchant Initiated Transaction) variants","required":["type"],"properties":{"type":{"type":"string","enum":["pix_automatico_mit"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.type","typeLabel":"enum\u003cstring>"},"receiver_details":{"oneOf":[{"type":"object","description":"Represents the receiver details for Santander Pix Automatico recurring charges","properties":{"branch_code":{"oneOf":[{"type":"string","description":"Branch code (agencia) of the receiver's bank account","example":"0001","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.branch_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"Branch code (agencia) of the receiver's bank account","example":"0001","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.branch_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.branch_code","typeLabel":"string | null"},"account_number":{"oneOf":[{"type":"string","description":"Account number (conta) of the receiver","example":"130333323","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.account_number.oneOf.0","typeLabel":"string"},{"type":"null","description":"Account number (conta) of the receiver","example":"130333323","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.account_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.account_number","typeLabel":"string | null"},"account_type":{"oneOf":[{"type":"string","description":"Account type for Santander Pix Automatico recurring charges","enum":["current","savings","payment"],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.account_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.account_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0.account_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.receiver_details","typeLabel":"object | null"},"mandate_execution_date":{"oneOf":[{"type":"string","description":"Execution date for the mandate charge (maps to data_de_vencimento). Format: YYYY-MM-DD.\nIf not provided, defaults to current date + 1 day.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.mandate_execution_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"Execution date for the mandate charge (maps to data_de_vencimento). Format: YYYY-MM-DD.\nIf not provided, defaults to current date + 1 day.","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.mandate_execution_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.mandate_execution_date","typeLabel":"string | null"},"auto_adjust_date":{"oneOf":[{"type":"boolean","description":"Whether to automatically adjust the due date to the next business day if it falls on a non-business day.\nMaps to ajuste_dia_util in Santander API. Defaults to true if not provided.","example":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.auto_adjust_date.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether to automatically adjust the due date to the next business day if it falls on a non-business day.\nMaps to ajuste_dia_util in Santander API. Defaults to true if not provided.","example":true,"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.auto_adjust_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2.auto_adjust_date","typeLabel":"boolean | null"}},"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.2","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details.oneOf.3","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_automatico_additional_details","typeLabel":"object · object · object · null"},"finix_additional_details":{"oneOf":[{"type":"object","properties":{"fraud_session_id":{"oneOf":[{"type":"string","description":"The fraud session ID used for Finix fraud detection","example":"1234567890abcdef","uniqueKey":"feature_metadata.oneOf.0.finix_additional_details.oneOf.0.fraud_session_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fraud session ID used for Finix fraud detection","example":"1234567890abcdef","uniqueKey":"feature_metadata.oneOf.0.finix_additional_details.oneOf.0.fraud_session_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.finix_additional_details.oneOf.0.fraud_session_id","typeLabel":"string | null"}},"uniqueKey":"feature_metadata.oneOf.0.finix_additional_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.finix_additional_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.finix_additional_details","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"metadata":{},"feature_metadata":{"redirect_response":{"param":"\u003cstring>","json_payload":{}},"search_tags":["\u003cstring>"],"apple_pay_recurring_details":{"payment_description":"\u003cstring>","regular_billing":{"label":"\u003cstring>","recurring_payment_start_date":"2023-09-10T23:59:59Z","recurring_payment_end_date":"2023-09-10T23:59:59Z","recurring_payment_interval_count":123},"management_url":"https://hyperswitch.io","billing_agreement":"\u003cstring>"},"pix_additional_details":{"immediate":{"time":1,"pix_key":{"type":"cpf","value":"\u003cstring>"}}},"boleto_additional_details":{"due_date":"2026-12-31","covenant_code":"3568253","pix_key":{"type":"cpf","value":"\u003cstring>"},"discount_rules":{"tiers":[{"amount":"5.50","end_date":"2027-12-31"}]},"penalties":{"fixed_penalty":{"value":"2.00","grace_period_days":1},"interest":{"interest_percentage":"5.00","iof_percentage":"32.45325"}},"collection_actions":{"legal_protest":{"days_after_due_date":30},"auto_write_off_days":60},"payment_constraints":{"type":"fixed_amount"},"beneficiary":{"name":"João da Silva","document_number":"9615865832"}},"pix_automatico_additional_details":{"time":3600,"type":"pix_automatico_push","retry_policy":true,"mandate_details":{"fixed_recurring_amount":6540,"min_recurring_amount":6540,"start_date":"2026-12-31","end_date":"2026-12-31"}},"finix_additional_details":{"fraud_session_id":"1234567890abcdef"}}}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"1bf0c719-a6c3-43e6-a004-ef475c8c2262":{"description":"Metadata updated successfully","content":{"application/json":{"schema":{"type":"object","required":["payment_id"],"properties":{"payment_id":{"type":"string","description":"The identifier for the payment","isRequired":true,"uniqueKey":"payment_id","typeLabel":"string"},"metadata":{"oneOf":[{"type":"object","description":"Metadata is useful for storing additional, unstructured information on an object.","uniqueKey":"metadata.oneOf.0","typeLabel":"object"},{"type":"null","description":"Metadata is useful for storing additional, unstructured information on an object.","uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"object | null"},"status":{"oneOf":[{"type":"string","description":"Represents the overall status of a payment intent.\nThe status transitions through various states depending on the payment method, confirmation, capture method, and any subsequent actions (like customer authentication or manual capture).","default":"requires_confirmation","enum":["succeeded","failed","cancelled","cancelled_post_capture","processing","requires_customer_action","requires_merchant_action","requires_payment_method","requires_confirmation","requires_capture","partially_captured","partially_captured_and_capturable","partially_authorized_and_requires_capture","partially_captured_and_processing","conflicted","expired","review"],"uniqueKey":"status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"status.oneOf.1","typeLabel":"null"}],"uniqueKey":"status","typeLabel":"enum\u003cstring> | null"},"feature_metadata":{"oneOf":[{"type":"object","description":"additional data that might be required by hyperswitch","properties":{"redirect_response":{"oneOf":[{"type":"object","properties":{"param":{"oneOf":[{"type":"string","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.param.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.param","typeLabel":"string | null"},"json_payload":{"oneOf":[{"type":"object","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.json_payload.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.json_payload.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0.json_payload","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.redirect_response.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.redirect_response","typeLabel":"object | null"},"search_tags":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"feature_metadata.oneOf.0.search_tags.oneOf.0.items.[INDEX]","typeLabel":"string"},"description":"Additional tags to be used for global search","uniqueKey":"feature_metadata.oneOf.0.search_tags.oneOf.0","typeLabel":"string[]"},{"type":"null","items":{"type":"string"},"description":"Additional tags to be used for global search","uniqueKey":"feature_metadata.oneOf.0.search_tags.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.search_tags","typeLabel":"string[] | null"},"apple_pay_recurring_details":{"oneOf":[{"type":"object","required":["payment_description","regular_billing","management_url"],"properties":{"payment_description":{"type":"string","description":"A description of the recurring payment that Apple Pay displays to the user in the payment sheet","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.payment_description","typeLabel":"string"},"regular_billing":{"type":"object","required":["label"],"properties":{"label":{"type":"string","description":"The label that Apple Pay displays to the user in the payment sheet with the recurring details","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.label","typeLabel":"string"},"recurring_payment_start_date":{"oneOf":[{"type":"string","format":"date-time","description":"The date of the first payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_start_date.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The date of the first payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_start_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_start_date","typeLabel":"string\u003cdate-time> | null"},"recurring_payment_end_date":{"oneOf":[{"type":"string","format":"date-time","description":"The date of the final payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_end_date.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"The date of the final payment","example":"2023-09-10T23:59:59Z","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_end_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_end_date","typeLabel":"string\u003cdate-time> | null"},"recurring_payment_interval_unit":{"oneOf":[{"type":"string","enum":["year","month","day","hour","minute"],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_unit.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_unit.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_unit","typeLabel":"enum\u003cstring> | null"},"recurring_payment_interval_count":{"oneOf":[{"type":"integer","format":"int32","description":"The number of interval units that make up the total payment interval","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_count.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"The number of interval units that make up the total payment interval","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing.recurring_payment_interval_count","typeLabel":"integer\u003cint32> | null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.regular_billing","typeLabel":"object"},"management_url":{"type":"string","description":"A URL to a web page where the user can update or delete the payment method for the recurring payment","example":"https://hyperswitch.io","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.management_url","typeLabel":"string"},"billing_agreement":{"oneOf":[{"type":"string","description":"A localized billing agreement that the payment sheet displays to the user before the user authorizes the payment","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.billing_agreement.oneOf.0","typeLabel":"string"},{"type":"null","description":"A localized billing agreement that the payment sheet displays to the user before the user authorizes the payment","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.billing_agreement.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0.billing_agreement","typeLabel":"string | null"}},"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.apple_pay_recurring_details","typeLabel":"object | null"},"pix_additional_details":{"oneOf":[{"type":"object","required":["immediate"],"properties":{"immediate":{"type":"object","required":["time"],"properties":{"time":{"type":"integer","format":"int32","description":"Expiration time in seconds","minimum":0,"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.time","typeLabel":"integer\u003cint32>"},"pix_key":{"oneOf":[{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cpf"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cnpj"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.1.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["email"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.2.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["phone"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.3.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["evp_token"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.4.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.4","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key.oneOf.5","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate.pix_key","typeLabel":"object · object · object · object · object · null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0.immediate","typeLabel":"object"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.0","typeLabel":"object"},{"type":"object","required":["scheduled"],"properties":{"scheduled":{"type":"object","required":["date"],"properties":{"date":{"type":"string","description":"Expiration time in terms of date, format: YYYY-MM-DD","example":"2026-07-08","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.date","typeLabel":"string"},"validity_after_expiration":{"oneOf":[{"type":"integer","format":"int32","description":"Days after expiration date for which the QR code remains valid","example":10,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.validity_after_expiration.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Days after expiration date for which the QR code remains valid","example":10,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.validity_after_expiration.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.validity_after_expiration","typeLabel":"integer\u003cint32> | null"},"pix_key":{"oneOf":[{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cpf"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cnpj"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.1.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["email"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.2.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["phone"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.3.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["evp_token"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.4.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.4","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key.oneOf.5","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled.pix_key","typeLabel":"object · object · object · object · object · null"}},"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1.scheduled","typeLabel":"object"}},"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.1","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.pix_additional_details.oneOf.2","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.pix_additional_details","typeLabel":"object · object · null"},"boleto_additional_details":{"oneOf":[{"type":"object","properties":{"due_date":{"oneOf":[{"type":"string","description":"Due Date for the Boleto","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.due_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"Due Date for the Boleto","example":"2026-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.due_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.due_date","typeLabel":"string | null"},"document_kind":{"oneOf":[{"type":"string","enum":["commercial_invoice","service_invoice","promissory_note","rural_promissory_note","receipt","insurance_policy","credit_card_invoice","proposal","deposit_or_funding","cheque","direct_promissory_note","other"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.document_kind.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.document_kind.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.document_kind","typeLabel":"enum\u003cstring> | null"},"payment_type":{"oneOf":[{"type":"string","enum":["fixed_amount","flexible_amount","installment"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_type","typeLabel":"enum\u003cstring> | null"},"covenant_code":{"oneOf":[{"type":"string","example":"3568253","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.covenant_code.oneOf.0","typeLabel":"string"},{"type":"null","example":"3568253","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.covenant_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.covenant_code","typeLabel":"string | null"},"pix_key":{"oneOf":[{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cpf"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.0.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.0.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["cnpj"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.1.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.1.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["email"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.2.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.2.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.2","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["phone"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.3.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.3.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.3","typeLabel":"object"},{"type":"object","required":["type","value"],"properties":{"type":{"type":"string","enum":["evp_token"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.4.type","typeLabel":"enum\u003cstring>"},"value":{"type":"string","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.4.value","typeLabel":"string"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.4","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key.oneOf.5","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.pix_key","typeLabel":"object · object · object · object · object · null"},"discount_rules":{"oneOf":[{"type":"object","description":"Defines the type of discount applied to a payment, such as whether it's a fixed date discount, a daily calendar discount, or a daily business discount.","required":["tiers"],"properties":{"tiers":{"type":"array","items":{"type":"object","properties":{"amount":{"oneOf":[{"type":"string","description":"The discount value (e.g., \"5.50\").","example":"5.50","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].amount.oneOf.0","typeLabel":"string"},{"type":"null","description":"The discount value (e.g., \"5.50\").","example":"5.50","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].amount","typeLabel":"string | null"},"end_date":{"oneOf":[{"type":"string","description":"The ISO-8601 date until which this discount is valid","example":"2027-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].end_date.oneOf.0","typeLabel":"string"},{"type":"null","description":"The ISO-8601 date until which this discount is valid","example":"2027-12-31","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].end_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX].end_date","typeLabel":"string | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers.items.[INDEX]","typeLabel":"object"},"description":"A generic vector of discount tiers","isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.tiers","typeLabel":"object[]"},"discount_type":{"oneOf":[{"type":"string","description":"Defines the type of discount applied to a payment, such as whether it's a fixed date discount, a daily calendar discount, or a daily business discount.","enum":["standard","fixed_date","daily_calendar","daily_business"],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.discount_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.discount_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0.discount_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.discount_rules","typeLabel":"object | null"},"penalties":{"oneOf":[{"type":"object","description":"Represents the rules for applying discounts to a payment, such as a percentage discount or a fixed amount discount, along with any applicable grace periods.","properties":{"fixed_penalty":{"oneOf":[{"type":"object","description":"Represents the rules for applying discounts to a payment, such as a percentage discount or a fixed amount discount, along with any applicable grace periods.","properties":{"value":{"oneOf":[{"type":"string","description":"The numeric value (as a string to preserve decimal precision)","example":"2.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The numeric value (as a string to preserve decimal precision)","example":"2.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.value.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.value","typeLabel":"string | null"},"grace_period_days":{"oneOf":[{"type":"integer","format":"int32","description":"Grace period: Days after due date before this applies","example":1,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.grace_period_days.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Grace period: Days after due date before this applies","example":1,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.grace_period_days.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0.grace_period_days","typeLabel":"integer\u003cint32> | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.fixed_penalty","typeLabel":"object | null"},"interest":{"oneOf":[{"type":"object","description":"Represents the rules for applying discounts to a payment, such as a percentage discount or a fixed amount discount, along with any applicable grace periods.","properties":{"interest_percentage":{"oneOf":[{"type":"string","description":"Percentage of Juros (Interest). Pattern: ^[0-9]{1,3}\\.[0-9]{2}$","example":"5.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.interest_percentage.oneOf.0","typeLabel":"string"},{"type":"null","description":"Percentage of Juros (Interest). Pattern: ^[0-9]{1,3}\\.[0-9]{2}$","example":"5.00","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.interest_percentage.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.interest_percentage","typeLabel":"string | null"},"iof_percentage":{"oneOf":[{"type":"string","description":"Percentage of IOF (Financial Operations Tax). Pattern: \\d{3}$\\.\\d{5}\nOnly provided if the agreement is \"Cobra IOF na Barra ou Cadastro\"","example":"32.45325","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.iof_percentage.oneOf.0","typeLabel":"string"},{"type":"null","description":"Percentage of IOF (Financial Operations Tax). Pattern: \\d{3}$\\.\\d{5}\nOnly provided if the agreement is \"Cobra IOF na Barra ou Cadastro\"","example":"32.45325","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.iof_percentage.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0.iof_percentage","typeLabel":"string | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0.interest","typeLabel":"object | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.penalties","typeLabel":"object | null"},"collection_actions":{"oneOf":[{"type":"object","description":"Represents the legal or administrative actions that may be taken for non-payment, such as protest rules and automatic write-off timelines.","properties":{"legal_protest":{"oneOf":[{"type":"object","required":["protest_type","days_after_due_date"],"properties":{"protest_type":{"type":"string","description":"Defines the type of protest for non-payment, such as whether the count is based on calendar days, business days, or if the protest logic is determined by a pre-signed contract with the bank.","enum":["disabled","calendar_days","business_days","contract_default"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.0.protest_type","typeLabel":"enum\u003cstring>"},"days_after_due_date":{"type":"integer","format":"int32","description":"Number of days after the due date to initiate the protest","example":30,"minimum":0,"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.0.days_after_due_date","typeLabel":"integer\u003cint32>"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.legal_protest","typeLabel":"object | null"},"auto_write_off_days":{"oneOf":[{"type":"integer","format":"int32","description":"Days after which the bill is automatically cancelled/written off","example":60,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.auto_write_off_days.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Days after which the bill is automatically cancelled/written off","example":60,"minimum":0,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.auto_write_off_days.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0.auto_write_off_days","typeLabel":"integer\u003cint32> | null"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.collection_actions","typeLabel":"object | null"},"payment_constraints":{"oneOf":[{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","required":["type"],"properties":{"type":{"type":"string","enum":["fixed_amount"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.0","typeLabel":"object"},{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","required":["type","details"],"properties":{"type":{"type":"string","enum":["flexible_amount"],"isRequired":true,"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.type","typeLabel":"enum\u003cstring>"},"details":{"type":"object","description":"Represents the rules for legal protest (official debt registration) for non-payment, including the type of protest and the number of days after which the protest is initiated.","properties":{"min_value":{"oneOf":[{"type":"string","description":"Minimum value allowed (e.g., \"10.00\")","example":"38.02","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.min_value.oneOf.0","typeLabel":"string"},{"type":"null","description":"Minimum value allowed (e.g., \"10.00\")","example":"38.02","uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.min_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"feature_metadata.oneOf.0.boleto_additional_details.oneOf.0.payment_constraints.oneOf.1.details.min_value","typeLabel":"string | null"},"max_value":{"oneOf":[{"type":"string","description":"Maximum value allowed (e.g., \"5000.00\")","example":"38.02","uniqueKey":"feature_metadata.oneOf.0.boleto_a
[...]
